---
title: "List agent actions"
canonical_url: "https://tweetstream.io/docs/api/list-agent-actions"
last_updated: 2026-11-05
---

# List agent actions

Every agent action: its name, tier, MCP tool and scope, and the JSON Schemas of its input and result. No key needed. Each action is also listed below as POST /api/agent/actions/{name}.

Canonical URL: https://tweetstream.io/docs/api/list-agent-actions

## `GET /api/agent/actions`

`https://tweetstream.io/api/agent/actions`

## Response fields

| Name | Type | Description |
| --- | --- | --- |
| `actions` | `object[]`, required |  |
| `actions.cost` | `enum<string>`, required |  |
| `actions.input` | `object`, required |  |
| `actions.mcp` | `object`, required |  |
| `actions.mcp.scope` | `string`, required |  |
| `actions.mcp.tool` | `string`, required |  |
| `actions.method` | `enum<string>`, required |  |
| `actions.name` | `string`, required |  |
| `actions.output` | `object`, required |  |
| `actions.summary` | `string`, required |  |
| `actions.tier` | `enum<string>`, required |  |
| `actions.url` | `string`, required |  |
| `tiers` | `object`, required |  |
| `tiers.confirm` | `string`, required |  |
| `tiers.read` | `string`, required |  |
| `tiers.recent` | `string`, required |  |

## Responses

| Status | Description | Headers |
| --- | --- | --- |
| `200` | Success |  |

### 200

```json
{
  "actions": [
    {
      "cost": "read",
      "input": {},
      "mcp": {
        "scope": "<string>",
        "tool": "<string>"
      },
      "method": "POST",
      "name": "<string>",
      "output": {},
      "summary": "<string>",
      "tier": "read",
      "url": "<string>"
    }
  ],
  "tiers": {
    "confirm": "<string>",
    "read": "<string>",
    "recent": "<string>"
  }
}
```

## Code samples

### cURL

```bash
curl --request GET \
  --url https://tweetstream.io/api/agent/actions
```

### JavaScript

```javascript
const response = await fetch("https://tweetstream.io/api/agent/actions", {
  method: "GET",
});

console.log(response.status, await response.json());
```

### Python

```python
import requests

response = requests.get(
    "https://tweetstream.io/api/agent/actions",
)

print(response.status_code, response.json())
```
